Read CLAUDE-SETUP.md, CURRENT-STATE.md, and LESSONS-LEARNED.md first.

- In the Options area when creating a new action/question/solution allow it to be named to be used for the next option created.
-In the preview pane, when the solution is attached to an action or question, it's always shown under the action or question it was created/attached to first. I believe it needs to be shown under the lowest available option, or the visual needs to be changed entirely when a solution is attached to more than one option.
